
%define upstream_name    CGI-Application-Plugin-ErrorPage
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10

Summary:    A simple error page plugin for CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Application)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This plugin provides a shortcut for the common need of returning a simple
error message to the user. 

You are encouraged to provide a template file so that the error messages
can be presented with a design consistent with the rest of your
application. 

A simple design is provided below to get to you started. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README LICENSE
%exclude %{_mandir}/man3/*
%perl_vendorlib/CGI


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

